## LassoSaml2ProxyRestriction LassoSaml2ProxyRestriction — <saml2:ProxyRestriction> |

## Functions

LassoNode * | lasso_saml2_proxy_restriction_new ()

## Types and Values

struct | LassoSaml2ProxyRestriction

## Description

Figure 62. Schema fragment for saml2:ProxyRestriction

    <complexType name="ProxyRestrictionType">
      <complexContent>
        <extension base="saml:ConditionAbstractType">
          <sequence>
            <element ref="saml:Audience" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute name="Count" type="nonNegativeInteger" use="optional"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml2_proxy_restriction_new ()

    LassoNode *
    lasso_saml2_proxy_restriction_new (void);

Creates a new LassoSaml2ProxyRestriction object.

#### Returns

a newly created LassoSaml2ProxyRestriction object

## Types and Values

### struct LassoSaml2ProxyRestriction

    struct LassoSaml2ProxyRestriction {
    	LassoSaml2ConditionAbstract parent;

    	/* elements */
    	char *Audience;
    	/* attributes */
    	char *Count;
    };